Last Comment Bug 662855 - window.top.content is null (unable to view feed entries)
: window.top.content is null (unable to view feed entries)
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Message Display (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.4
Assigned To: Ian Neal
:
Mentors:
Depends on: 644983
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-08 10:58 PDT by Ian Neal
Modified: 2011-08-03 22:48 PDT (History)
3 users (show)
iann_bugzilla: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
Switch feed to use getBrowser [Checked in: Comment 4] (1.79 KB, patch)
2011-06-09 06:22 PDT, Ian Neal
neil: review+
jh: feedback+
bugspam.Callek: approval‑comm‑aurora+
bugspam.Callek: approval‑comm‑beta+
Details | Diff | Splinter Review

Description Ian Neal 2011-06-08 10:58:21 PDT
+++ This bug was initially created as a clone of Bug #644983 +++

STR:
- install webtabs from http://jonathan.protzenko.free.fr/webtabs@momo.ca.xpi
- open a twitter tab
- switch to the main mail:3pane tab
- select multiple threads (so that you get the MultiMessageSummary)
- switch to the twitter tab
- switch back to the main mail:3pane tab
- click on one of your RSS feeds
- there should be a message displayed ; instead, the message pane is blank, and the error console reads

Error: window.top.content is null
Source File: chrome://messenger/content/mailWindowOverlay.js
Line: 3072

This happens *without* Thunderbird Conversations. Double-clicking on a feed item fixes the issue.
Comment 1 Ian Neal 2011-06-09 06:22:07 PDT
Created attachment 538245 [details] [diff] [review]
Switch feed to use getBrowser [Checked in: Comment 4]

This patch:
* Ports fix from TB bug
* Matches position of early return with TB as comment in code suggests.
Comment 2 Jens Hatlak (:InvisibleSmiley) 2011-06-09 09:07:32 PDT
Comment on attachment 538245 [details] [diff] [review]
Switch feed to use getBrowser [Checked in: Comment 4]

I'm not an official MailNews reviewer, and don't know how to test the "broken" case, but feeds still seem to work with the patch applied, so f+ it is.
Comment 3 neil@parkwaycc.co.uk 2011-06-12 09:46:31 PDT
Comment on attachment 538245 [details] [diff] [review]
Switch feed to use getBrowser [Checked in: Comment 4]

Seems reasonable, although I think what's happening is that the Thunderbird conversations code must be messing with which browser is the active browser thus confusing the code that populates the content property.

[Why do we still have code using XPCNativeWrapper?]
Comment 4 Ian Neal 2011-06-12 10:57:05 PDT
Comment on attachment 538245 [details] [diff] [review]
Switch feed to use getBrowser [Checked in: Comment 4]

http://hg.mozilla.org/comm-central/rev/172703bbcfee
Comment 5 Philip Chee 2011-06-16 22:48:02 PDT
Comment on attachment 538245 [details] [diff] [review]
Switch feed to use getBrowser [Checked in: Comment 4]

Thunderbird patch landed on comm-aurora.
Comment 6 Ian Neal 2011-06-18 01:21:33 PDT
Comment on attachment 538245 [details] [diff] [review]
Switch feed to use getBrowser [Checked in: Comment 4]

We probably want it on comm-beta too.

Note You need to log in before you can comment on or make changes to this bug.